# st

Unnamed repository; edit this file 'description' to name the repository.

| Log | Files | Refs | README | LICENSE

    commit bc371271dcbfdc7f31e1351f213f31cb11eb2472
    parent 8ca60ffb089547db4ba2c1a60663ecadf659f53a
    Author: c0dev0id <sh+github@codevoid.de>
    Date:   Sun,  1 Aug 2021 12:38:24 +0200

    sdk-openbsd-terminfo

    Diffstat:
    MMakefile | 3++-
    Mconfig.def.h | 2+-
    Mconfig.h | 2+-

    3 files changed, 4 insertions(+), 3 deletions(-)
    diff --git a/Makefile b/Makefile
    @@ -48,7 +48,8 @@ install: st
     	mkdir -p $(DESTDIR)$(MANPREFIX)/man1
     	sed "s/VERSION/$(VERSION)/g" < st.1 > $(DESTDIR)$(MANPREFIX)/man1/st.1
     	chmod 644 $(DESTDIR)$(MANPREFIX)/man1/st.1
    -	tic -sx st.info
    +	sed 's/st\([^t].*\)/st-git\1/g' st.info > st-git.info
    +	tic -s st-git.info
     	@echo Please see the README file regarding the terminfo entry of st.

     uninstall:
    diff --git a/config.def.h b/config.def.h
    @@ -98,7 +98,7 @@ const int boxdraw_braille = 0;
     static int bellvolume = 0;

     /* default TERM value */
    -char *termname = "st-256color";
    +char *termname = "st-git-256color";

     /*
      * spaces per tab
    diff --git a/config.h b/config.h
    @@ -96,7 +96,7 @@ const int boxdraw_braille = 1;
     static int bellvolume = 0;

     /* default TERM value */
    -char *termname = "xterm-256color";
    +char *termname = "st-git-256color";

     /*
      * spaces per tab